%define	name	ypserv
%define	version	2.29
%define	release	%mkrel 2

Summary:	The NIS (Network Information Service) server
Url:		http://www.linux-nis.org/
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Servers

Source0:	http://www.linux-nis.org/download/ypserv/%{name}-%{version}.tar.bz2
Source1:	ypserv-ypserv.init
Source2:	ypserv-yppasswdd.init
Source3:	ypserv-ypxfrd.init
Patch0:		ypserv-2.10-makefile.patch
Patch2: 	ypserv-2.11-path.patch
Patch6:		ypserv-2.5-nfsnobody2.patch
Patch11:	ypserv-2.13-ypxfr-zeroresp.patch
Patch16:	ypserv-2.27-confpost.patch

BuildRequires:	mawk libgdbm-devel libopenslp-devel
Requires:	rpcbind mawk make
Requires(post):	rpm-helper
Requires(preun):	rpm-helper

%description
The Network Information Service (NIS) is a system which provides network
information (login names, passwords, home directories, group information)
to all of the machines on a network.  NIS can enable users to login on
any machine on the network, as long as the machine has the NIS client
programs running and the user's password is recorded in the NIS passwd
database.  NIS was formerly known as Sun Yellow Pages (YP).

This package provides the NIS server, which will need to be running on
your network.  NIS clients do not need to be running the server.

Install ypserv if you need an NIS server for your network.  You'll also
need to install the yp-tools and ypbind packages onto any NIS client
machines.

%prep
%setup -q
%patch0 -p1 -b .makefix
%patch2 -p0 -b .path
%patch6 -p1
%patch11 -p1
%patch16 -p1 -b .confpost

%build
%serverbuild
cp etc/README etc/README.etc
%configure2_5x --enable-checkroot \
	   --enable-fqdn \
	   --libexecdir=%{_libdir}/yp \
	   --mandir=%{_mandir}
%make

%install
%makeinstall libexecdir=%{buildroot}%{_libdir}/yp

install -m644 etc/ypserv.conf -D %{buildroot}%{_sysconfdir}/ypserv.conf
install -m755 %{SOURCE1} -D %{buildroot}%{_initrddir}/ypserv
install -m755 %{SOURCE2} -D %{buildroot}%{_initrddir}/yppasswdd
install -m755 %{SOURCE3} -D %{buildroot}%{_initrddir}/ypxfrd

perl -pi -e "s|/etc/rc.d/init.d|%{_initrddir}|" %{buildroot}%{_initrddir}/*

%post
%_post_service ypserv
%_post_service yppasswdd
%_post_service ypxfrd

%preun
%_preun_service ypserv
%_preun_service yppasswdd
%_preun_service ypxfrd
 
%files
%doc README INSTALL ChangeLog TODO NEWS
%doc etc/ypserv.conf etc/securenets etc/README.etc
%config(noreplace) %{_sysconfdir}/ypserv.conf
%config(noreplace) /var/yp/*
%{_initrddir}/*
%dir %{_libdir}/yp
%attr(755, root, root) %{_libdir}/yp/*
%attr(755, root, root) %{_sbindir}/*
%{_mandir}/*/*
%{_includedir}/*/*


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 2.29-2.mga3
+ Revision: 387619
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 09 2012 luigiwalser <luigiwalser> 2.29-1.mga3
+ Revision: 291167
- 2.29

* Sun Jul 29 2012 luigiwalser <luigiwalser> 2.28-1.mga3
+ Revision: 275833
- 2.28

* Sat Mar 03 2012 luigiwalser <luigiwalser> 2.27-1.mga2
+ Revision: 217473
- 2.27
- fix source URL
- add patch 16 from fedora to fix build issue

* Tue Dec 06 2011 fwang <fwang> 2.26-2.mga2
+ Revision: 177169
- rebuild for new gdbm

* Tue Sep 06 2011 tv <tv> 2.26-1.mga2
+ Revision: 139477
- add missing LSB keywords
- new release

* Fri Apr 15 2011 nanardon <nanardon> 2.24-1.mga1
+ Revision: 85872
- 2.24

* Tue Feb 08 2011 ennael <ennael> 2.22-2.mga1
+ Revision: 49052
- imported package ypserv

